Bug 968408 - Can't open user shared directory
Can't open user shared directory
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 12:44 EDT by Emmanuel Pacaud
Modified: 2015-02-17 10:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:22:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.config/user-share/log (4.68 KB, text/plain)
2013-05-31 06:46 EDT, Matthias Clasen
no flags Details
a gvfsd log (8.36 KB, text/plain)
2013-05-31 08:50 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Emmanuel Pacaud 2013-05-29 12:44:45 EDT
Hi.

I don't know if it is a nautilus bug or a gnome-user-share one.

If I enable "Personal file sharing" in the control center, then open nautilus and select "Browse network", I get a "Public files of user on machine" folder.

If I try to open it, I get the following error dialog:

"Can't access to location - HTTP error: internal server error"

(Message are a translation of what I actually get, I'm using the french locale).

I also get this error from one machine trying to open a shared folder on another machine.
Comment 1 Emmanuel Pacaud 2013-05-29 12:48:00 EDT
When I have "Personal file sharing" enabled, I have the following processes running, which seems to look fine:

 ps ax | grep http
24379 ?        Sl     0:00 /usr/libexec/gvfsd-http --spawner :1.3 /org/gtk/gvfs/exec_spaw/7
28441 ?        Ss     0:01 /usr/sbin/httpd -f /usr/share/gnome-user-share/dav_user_2.4.conf -C Listen 46708
28442 ?        S      0:00 /usr/sbin/httpd -f /usr/share/gnome-user-share/dav_user_2.4.conf -C Listen 46708
28443 ?        S      0:00 /usr/sbin/httpd -f /usr/share/gnome-user-share/dav_user_2.4.conf -C Listen 46708
Comment 2 Matthias Clasen 2013-05-30 21:02:40 EDT
Seeing the same here.
On top of that, I find that gnome-user-share is not started/stopped when I flick the switch in the sharing panel.
Comment 3 Bastien Nocera 2013-05-31 05:48:43 EDT
What's in ~/.config/user-share/log ?
Comment 4 Matthias Clasen 2013-05-31 06:43:46 EDT
I do notice the following in the logs:

May 31 06:31:05 golem /etc/gdm/Xsession[9305]: JS LOG: pushModal: invocation of begin_modal failed
May 31 06:31:08 golem kernel: gvfsd-dav[10162]: segfault at 4 ip 00007febd73abd90 sp 00007fff10f295f8 error 6 in libdbus-1.so.3.7.2[7febd7387000+45000]
May 31 06:31:08 golem /etc/gdm/Xsession[9305]: JS LOG: pushModal: invocation of begin_modal failed
May 31 06:31:11 golem kernel: pool[10193]: segfault at 4 ip 00007f602c408d90 sp 00007f601f3ed798 error 6 in libdbus-1.so.3.7.2[7f602c3e4000+45000]

So I think gvfsd-dav may be to blame here
Comment 5 Matthias Clasen 2013-05-31 06:46:48 EDT
Created attachment 755227 [details]
.config/user-share/log
Comment 6 Matthias Clasen 2013-05-31 08:50:26 EDT
Created attachment 755256 [details]
a gvfsd log
Comment 7 Matthias Clasen 2013-05-31 08:52:07 EDT
here is a log from GVFS_HTTP_DEBUG=all gvfsd -r, while I was first clicking on Browse network and then on mclasens public files in nautilus, which gave me a HTTP request cancelled warning.
Comment 8 Tomáš Bžatek 2013-06-03 07:38:57 EDT
From a quick look it seems like we're not catching the soup_authenticate_interactive() callback, which is connected to the "authenticate" signal on SoupSession instance. Could be a fallout from recent port to SoupRequester or could be a libsoup issue internally.

(In reply to Matthias Clasen from comment #4)
> May 31 06:31:08 golem kernel: gvfsd-dav[10162]: segfault at 4 ip
> 00007febd73abd90 sp 00007fff10f295f8 error 6 in
> libdbus-1.so.3.7.2[7febd7387000+45000]

Could be from some library, we shouldn't be using libdbus in gvfsd-dav.
Comment 9 Fedora End Of Life 2015-01-09 13:15:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 10:22:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.